@import url('/styles/fonts/libre_caslon/Libre_Caslon.css');
body {
  margin: 0;
  position: relative;
}
body header {
  all: unset;
  text-align: center;
  margin: 1em 0;
}
body header h1 {
  padding-bottom: 0.2em;
  font-size: 2rem;
  font-family: "libre caslon", serif;
  text-decoration: underline;
  position: sticky;
  top: 0;
  background-color: white;
  margin-bottom: 0;
}
body header p {
  font-family: helvetica, sans-serif;
  font-weight: lighter;
  letter-spacing: 0.2em;
  margin: 0.4em 0;
  font-variant: small-caps;
}
body header a.email {
  text-align: center;
  display: block;
  font-size: 0.7rem;
  font-family: helvetica;
  margin-bottom: 1em;
  color: black;
  letter-spacing: 0.1em;
}
body header hr {
  all: unset;
  border-bottom: 2px solid black;
  display: block;
  width: 40%;
  margin-left: auto;
  margin-right: auto;
}
body main .enlarge {
  font-style: italic;
  text-align: center;
  color: #aaa;
  margin-bottom: 1em;
  font-family: libre caslon;
  font-size: 0.7rem;
  letter-spacing: 0.1em;
  position: sticky;
  top: 2.8rem;
  background: white;
  padding-bottom: 10px;
}
body main .preview-images {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(1, 1fr);
  gap: 16px;
  grid-auto-flow: row;
  margin: 8px;
}
@media (max-width: 600px) {
  body main .preview-images {
    grid-template-columns: 1fr;
  }
}
body main .preview-images div {
  display: block;
  overflow: hidden;
  box-shadow: 0 6px 14px -4px black;
  border: 2px solid white;
  transition: box-shadow 0.2s ease;
}
body main .preview-images div:hover {
  box-shadow: 0 4px 10px -4px black;
  transition: box-shadow 0.2s ease;
}
body main .preview-images div img {
  object-fit: cover;
  transition: filter 1s ease;
  width: 100%;
  height: 100%;
  aspect-ratio: 1;
}
body dialog {
  width: auto;
  height: auto;
  margin: 10vh 20vw;
  overflow: hidden;
  border: 1px solid black;
  border-radius: 20px;
  filter: drop-shadow(0 0 15px black);
  background: #111;
}
@media (max-width: 600px) {
  body dialog {
    margin: 15vh 1vw;
  }
}
body dialog::backdrop {
  background-color: rgba(0, 0, 0, 0.8);
}
body dialog figure {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 0;
}
body dialog figure figcaption {
  color: #777;
  font-family: helvetica;
  font-weight: lighter;
  font-size: 0.8rem;
}
body dialog figure figcaption .title {
  font-weight: bold;
}
body dialog img {
  height: 100%;
  width: 100%;
  object-fit: contain;
  margin: 10px 0;
}
body dialog button.close {
  position: absolute;
  width: 40px;
  height: 40px;
  border: 1px solid #e9e9e9;
  right: 15px;
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  bottom: 15px;
}
body dialog button.close object {
  pointer-events: none;
}
